Project

General

Profile

Actions

Bug #5452

closed

ansible scripts for setting up jenkins node fail at Install libfftranscode0

Added by osmith 10 months ago. Updated 10 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
Target version:
-
Start date:
02/11/2022
Due date:
% Done:

100%

Spec Reference:

Description

Error:

Breaks existing package 'libfftranscode-dev' dependency libfftranscode0 (= 0.1)

Related part from the ansible task:

- name: Install libfftranscode0
  apt:
    deb: https://ftp.osmocom.org/binaries/libfftranscode/libfftranscode0_0.3_{{deb_architecture.stdout}}.deb

- name: Install libfftranscode-dev
  apt:
    deb: https://ftp.osmocom.org/binaries/libfftranscode/libfftranscode-dev_0.3_{{deb_architecture.stdout}}.deb

It looks like the problem is, that we would need to upgrade both libfftranscode0 and -dev at once.

However I'm wondering if we need this at all.

Isn't it enough to install this in the debian-bullseye-titan docker image, which we already do?


Related issues

Has duplicate Core testing infrastructure - Bug #5454: ansible rule for fftranscode failsClosedosmith02/11/2022

Actions
Actions #1

Updated by fixeria 10 months ago

  • Has duplicate Bug #5454: ansible rule for fftranscode fails added
Actions #2

Updated by osmith 10 months ago

osmith wrote:

However I'm wondering if we need this at all.

Isn't it enough to install this in the debian-bullseye-titan docker image, which we already do?

laforge: is there a reason to install it on the host? I'd assume we don't need it.

(or maybe fixeria, pespin knows?)

Actions #3

Updated by laforge 10 months ago

On Mon, Feb 14, 2022 at 07:40:11AM +0000, wrote:

is there a reason to install it on the host? I'd assume we don't need it.

There certainly was a need to install it on the host in the past when I first
set this up. Not sure about today, I did not implement all the various CI
infrastructure changes ever since. I guess you are the best person to judge
if there are any jobs not yet running in containers.

Actions #4

Updated by osmith 10 months ago

libfftranscode is only used by the ttcn3 testsuites. Looking through the repositories, it seems the only project not using docker for all ttcn3 tests is osmo-gsm-tester.

pespin: osmo-gsm-tester runs eclipse-titan outside of docker, right? does it require libfftranscode on the host system?

Actions #5

Updated by pespin 10 months ago

osmith osmo-gsm-tester runs the ttcn3 testsuite in docker (it's the only thing it runs under docker). See osmo-gsm-tester.git/sysmocom/ttcn3/suites/ttcn3_bts_tests/scripts/run_ttcn3_docker.sh.

May it be that ttcn3 gerrit jobs run directly on the host?

Actions #6

Updated by osmith 10 months ago

  • % Done changed from 0 to 20

pespin wrote in #note-5:

osmith osmo-gsm-tester runs the ttcn3 testsuite in docker (it's the only thing it runs under docker). See osmo-gsm-tester.git/sysmocom/ttcn3/suites/ttcn3_bts_tests/scripts/run_ttcn3_docker.sh.

May it be that ttcn3 gerrit jobs run directly on the host?

Right, gerrit verification runs ttcn3 directly on the host. I'll adjust this so it runs in docker too (which makes more sense, then it uses the same version as when actually executing the tests), and then make a patch that removes ansible code to install eclipse-titan + libfftranscode on the hosts.

Actions #7

Updated by osmith 10 months ago

  • Status changed from New to In Progress
  • % Done changed from 20 to 90
Actions #8

Updated by osmith 10 months ago

  • Status changed from In Progress to Resolved
  • % Done changed from 90 to 100
Actions

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 48.8 MB)